Name:           perl-Class-Factory-Util
Version:        1.6        
Release:        2%{?dist}
Summary:        Provide utility methods for factory classes 

Group:          Development/Libraries
License:        Artistic or GPL        
URL:            http://search.cpan.org/dist/Class-Factory-Util            
Source0: http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/Class-Factory-Util-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module exports utility functions that are useful for factory classes.


%prep
%setup -q -n Class-Factory-Util-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-2
- bump for build & release 

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-1
Initial spec file for F-E
